import React, {useState} from 'react';
import TinderCard from 'react-tinder-card';
import './Tinder.css';

const db = [
    {
        id: 1,
        name: 'Richard Hendricks',
    },
    {
        id: 2,
        name: 'Erlich Bachman',
    },
    {
        id: 3,
        name: 'Monica Hall',
    },
    {
        id: 4,
        name: 'Jared Dunn',
    },
    {
        id: 5,
        name: 'Dinesh Chugtai',
    }
  ];

  const Tinder = () => {
    const characters = db;
    const [lastDirection, setLastDirection] = useState();
    const [cardId, setCardId] = useState([]);
  
    const swiped = (direction, id) => {
      setLastDirection(direction);
      if (direction === 'right') {
        cardId.push(id);
      };
    };


    let uniqueTags = [];

    const getId = () => {
        uniqueTags = cardId.filter(function(elem, pos) {
            return cardId.indexOf(elem) === pos;
        });
        console.log(uniqueTags);
    }
  
    return (
      <div className='tinder-container'>
            <h1>Card</h1>
            <div className='card-container'>
            {characters.map((character) => (
                <TinderCard
                className='swipe'
                key={character.id}
                onSwipe={(dir) => {
                    swiped(dir, character.id);
                    getId();
                    console.log(uniqueTags);
                }}
                >
                <div className='card'>
                    <div
                    className='card-content'
                    // style={{ backgroundImage: `url(${character.url})` }}
                    >
                    <h3>{character.name}</h3>
                    </div>
                </div>
                </TinderCard>
            ))}
            </div>
            {lastDirection ? (
            <h2 className='infoText'>You swiped {lastDirection}</h2>
            ) : (
            null
            )}
        </div>
    );
  };
  
  export default Tinder;